import csv

def main():
    # input.csvを読み込む
    with open("input.csv", "r", encoding="utf-8-sig") as f:
        reader = csv.reader(f)

        # 1列目をキーにして、データを辞書に格納する
        data = {}
        for row in reader:
            key = row[0]
            if key not in data:
                data[key] = []
            data[key].extend(row[1:])

    # 辞書の値を1行ずつ書き出す
    with open("output.csv", "w", encoding="utf-8-sig", newline="", errors="replace") as f:
        writer = csv.writer(f)
        for key in data:
            if key == "":
                writer.writerow([key] + data[key])
            else:
                # input.csvの一列目をoutput.csvの一列目に追加
                writer.writerow([key] + data[key])

if __name__ == "__main__":
    main()
